Welcome...

WebQuestions Help File

Welcome

Web Questions 1.2b

Welcome to the WebQuestions help file. This help file contains information on using the program and general tips and tricks on making the most of the program.

What's new in Version 1.2b?

There are only a few minor changes that have been made in this version. Please click here to read about them.

If you need more help...

If you have read through this help file and cannot find the information you are looking for then you might like to do one of the following: http://www.clever-software.co.uk where you can view the latest technical support information and find out about program updates.

As a last resort (after checking our website) you can e-mail me for further support at support@clever-software.co.uk. Please note that I cannot guarantee an answer to all queries but I will do my best.

WebQuestions is the work of Daryl Rowland under his company name Clever Software. All work is therefore Copyright© Daryl Rowland/Clever Software 2000.


Browser Compatibility

With which browsers will the quizzes work?

What browsers will the generated web pages/quizzes work with?

The generated web pages should work with any browsers that support JavaScript.

I have only tested the script in Netscape Navigator 4 and Internet Explorer 5, however, so I cannot guarantee that it will work in older versions...but it should!


What's New?

What's new in Version 1.2b?

Easier to-read quiz's produced

NEW in Version 1.2: Possible answers to questions are now indented (or tabbed) on web pages for clearer legibility.

NEW in Version 1.01: The WebQuestions code has been improved so that it now produces quiz's with the actual questions in a bold font and the answers in a regular font. This, we hope, will increase the legibility of the quiz's that are produced.

Close button added to answers pop-up window

NEW in Version 1.01: We have added a close button to the answers pop-up window so that end-users can easily close the answers window after they have looked at it.

Minor bugs fixed

NEW in Version 1.2b: Bug which changed the selected answer from C to B and vice versa has been fixed.

NEW in Version 1.2: 'C:\Temp' related errors fixed.

NEW in Version 1.01: Some (very) minor bugs have been fixed.


Quiz Details

Quiz Details

Entering the Quiz Details

After you have chosen whether to create a new quiz or open a previously saved one, the next thing that you will be asked to do is enter the Quiz Details. These details will be placed above the questions in your quiz when you generate the web page.

The fields that make up the Quiz Details are as follows:

Quiz Name

This field MUST be filled in and can contain letters or numbers. The Quiz Name that you enter here will appear at the top of your generated web page and also as the HTML title of the page, which means that it will be put on the title bar of your browser. E.g. My Quiz Name - Microsoft Internet Explorer.

Author

This is where you can input your name or any other name that you wish to be associated with the generated quiz. The author field will be displayed in the generated web page like this: By YourName. Please note that you do not need to put the word 'by' when you input your name as this will be done automatically for you.

Quiz Description

This field is optional but it provides you with a good place to describe your quiz. Returns are not allowed in this description, and should you try to press the enter key nothing will happen. If you want to put an advanced description above your quiz you can do this by editing the generated HTML page in your favourite HTML editor. Please click here for more details on this.


Questions

Adding, Editing and Removing Questions

Adding Questions

After you have entered your quiz details, you will be asked to add, remove or edit questions in your quiz.

To add questions all you need to do is click on the Add button and you will then be taken to the Question Editor Window.

DID YOU KNOW...? That there is no limit on the number of questions that you can or can't have in a WebQuestions quiz? So you could have a simple quiz comprising of just one question, or a longer quiz comprising of hundreds of questions.

Editing Questions

After adding questions, or opening a previously saved quiz you will be able to edit the questions that you have entered by clicking on the question that you want to edit and then clicking on the Edit Question button. This will bring up the Question Editor window.

Removing Questions

To remove a question all you need to do is click on it and then click on the Remove Question button.


Question Editor

The Question Editor

Launching the Question Editor

To launch the Question Editor you need to click on the Add Question or Edit Question buttons on the Questions page of WebQuestions.

You will find the following fields/options at various stages when using the Question Editor:

Field | Description | Example Content
Question Identifier | This field is used so that you can identify each question you have added. The Question Identifier will not be seen by the end user of the quiz. | Question 1; q1; Question about Fred, etc.
Question | Pretty self explanatory - this is where you type your question. | How do you spell...?; Who founded the...?; etc.
Question Type | This is a drop down combo box that allows you to select whether your question will be multiple choice (NEW Now up to four possible answers possible answers) or single answer (a text box that the user types the answer into). For details on the specific fields that you will see when you choose a question type please see either Multiple Choice Questions or Single Answer Questions. | Either: Multiple Choice OR Single Answer
Explanation For Answer | Here you can type an explanation for your answer that will explain why the correct answer was correct. You do not have to enter anything here. An explanation will only appear if the user got the question wrong. Before your explanation, the user will always see a statement laid out in the following way: Q1- Incorrect. Actual Answer was A. | The following will always appear before your explanation: Q1 - Incorrect. Actual Answer was B. Your explanation could then say something like: Bee's really do like flowers!

Updating the question

To apply the question (or 'update' it into WebQuestions) all you need to do is keep clicking on the 'Next' button in the Question Editor until you come to the page with a button labeled 'Update'. Click on this button and the question will be updated into WebQuestions. You will then be returned to the main WebQuestions window.

To abandon any changes you have made to a particular question simply hit the Cancel button!


Multiple Choice Questions

Multiple Choice Questions

What will Multiple Choice questions look like in the generated web page?

Example:

1. How many pence are there in a pound?

100

10

1000

Creating Multiple choice Questions:

When adding or editing questions in the Question Editor you will need to specify if they are going to be multiple choice or single answer. If you choose to make your question Multiple Choice you will have to input all of the possible answers that you want. Then you must place a circle in the radio button next to the correct answer in the question.

NEW FEATURE: WebQuestions 1.2 now allows you to have up to 4 possible answers to your multiple choice questions. However, if you do not want 4 answers, leave the answer boxes that you don't want blank (don't type anything into them). This means that you can now have from 2 to 4 possible answers for your multiple choice questions.


Single Answer Questions

Single Answer Questions

What will Single Answer questions look like in the generated web page?

Example:

1. How many pence are there in a pound?

Creating Single Answer Questions:

When adding or editing questions in the Question Editor you will need to specify if they are going to be multiple choice or single answer. If you choose to make your question Single Answer you will simply have to enter the correct answer for your question (spelling is obviously important but the answer is not case sensitive).

Disadvantages of using Single Answer Questions:

The trouble with Single Answer Questions is that the user has to enter exactly the answer that you gave. Therefore it is probably best to use Multiple Choice questions in most cases.


Page Style

Page Style

Page Style options

Using WebQuestions in built options you can easily change the style of the page that will be generated. You can change the following elements:

Background Colour

Text Font

Text Colour

Text on Mark Button

When changing the colour of elements you can only choose basic colours, so if you want to use different shades of different colours you will have to edit the generated web page by hand.

When selecting a Font to use it is recommended that you choose commonly available fonts (such as Verdana, Times New Roman or Arial) as you cannot guarantee that your end users will have the obscure fonts that you have.


Saving Quiz's

Saving the generated Quiz

Saving the generated quiz

After you have created your quiz, it will be generated and you will then be able to save it. You should save it as both a Web Page (HTML document) and WebQuestions file (.wqf file).

If you are intending to edit and open your quiz again you will need to save it as a .wqf file as this is the only type of file that WebQuestions can open. HTML files cannot be opened by WebQuestions.


Opening Saved Quizzes

Opening saved quizzes

Opening saved Quizzes...

When you start WebQuestions you will be prompted to wither create a new quiz, or open a saved one.

You can only open .wqf files that are generated by WebQuestions. HTML documents cannot be opened.


Advanced Editing

Advanced Editing of Web Pages

Advanced Editing of pages after you have generated them with WebQuestions

After you have generated your quiz/web page with WebQuestions it is possible to further edit it as it is simply an HTML document (with JavaScript coding).

To edit the web page all you need to do is open it in your favourite web page editor (for example FrontPage Express), change the elements that you wish to change and then save it again. DO NOT tamper with the JavaScript in the document or the quiz may not work.


Browser Error Messages

If you receive error messages...

If you receive error messages when you run your generated web page/quiz...

If you receive error messages, such as Expected ')' when you run your web page/quiz in a web browser, it is probably likely that you have included question marks in one of your explanations for one of your questions. Unfortunately, if you do include question marks (") in your explanations, the quiz will not work and you will receive numerous error messages.

As an alternative to using question marks, you could do the following '' with apostrophe's (e.g. ' and ').